# Test access token

Test if an access token can be used for authentication with Ripple APIs and how much time remains on it.

Endpoint: GET /v2/oauth/token/test
Version: 2025.11
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer JWT

## Response 200:

  - `200` (unknown)
    If a valid bearer token is supplied, the time remaining before the token expires is returned.

## Response 200 fields (application/json):

  - `message` (string)
    Example: token_ok

  - `seconds_to_expiry` (integer)
    Remaining time in seconds before the tested token expires.
    Example: 3600

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 401:

  - `401` (unknown)
    Unauthorized

